> ## Documentation Index
> Fetch the complete documentation index at: https://insightsoftware.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Return an alert by id



## OpenAPI

````yaml /simba-embedded-analytics/docs/self-service-analytics/26.3/api-swagger/ssa-api-docs-26-3.json get /api/alerts/{id}
openapi: 3.1.0
info:
  title: Logi Composer Rest API
  description: >-
    The Composer REST API provides methods for retrieving, updating, and
    deleting Composer metadata. With the API endpoints, you can manage
    connections, data sources, accounts, groups, and users quickly and easily.


    ## Authentication


    This API supports the following authentication schemes:


    - **basicAuth** – HTTP Basic authentication using global administrator
    credentials (username and password). Required for most endpoints.

    - **trustedAccessAuth** – HTTP Basic authentication using Trusted Access
    client credentials. Use the **client ID** as the username and the **client
    secret** as the password. Required for Trusted Access token and session
    endpoints.

    - **bearerAuth** – HTTP Bearer token authentication. Supply a token
    previously obtained from a Trusted Access token endpoint
    (`/api/trusted-access/push/tokens` or `/api/trusted-access/pull/tokens`).
  contact:
    name: Logi Support
    url: https://help.insightsoftware.com
    email: logisupport@insightsoftware.com
  version: '1.0'
servers:
  - url: http://10.2.4.166:8080/composer
    description: Generated server url
security:
  - basicAuth: []
tags:
  - name: account-attributes
    description: Reserved Account attributes configuration
  - name: accounts
    description: Manage Accounts
  - name: accounts / admins
    description: Manage Account Administrators
  - name: accounts / users
    description: Manage Account Users
  - name: actions
    description: Manage Action Templates
  - name: activity
    description: Manages Activity Logging
  - name: alerts
    description: Manage Alerts
  - name: branding
    description: Manage branding configuration
  - name: branding-extentions
    description: Manage branding extensions (chart colors, etc.)
  - name: calendars
    description: (experimental) Manage calendars
  - name: comments
    description: Dashboard comments
  - name: connection-types
    description: Manage Connection Types
  - name: connections
    description: Manage Source Connections
  - name: connectors
    description: Manage Connectors
  - name: conversations
    description: Manage Workspace Conversations
  - name: customization
    description: Manage customization configuration
  - name: dashboard-conversion
    description: (experimental) Convert dashboards layout
  - name: dashboard-migration
    description: New Dashboards Migration API
  - name: dashboard-reports
    description: Manage Dashboard Reports
  - name: dashboard-sharing
    description: (experimental) Manage dashboard access level
  - name: dashboards
    description: Manage Dashboards
  - name: export
    description: Export Source Data
  - name: favorites
    description: Favorite Items
  - name: filter-sets
    description: Filter Visualizations Data
  - name: folders
    description: Manage folders
  - name: frontend / environment variables
    description: Get environment variables for frontend
  - name: global
    description: Manage global security configuration
  - name: group-membership
    description: Manages Group Membership
  - name: groups
    description: Manage User Groups
  - name: interactivity
    description: Dashboard interactivity
  - name: inventory
    description: Manage Composer Items
  - name: jobs
    description: List of available scheduler jobs
  - name: joins
    description: Manage joins metadata and suggestions
  - name: json-datasets
    description: Manage JSON datasets
  - name: kerberos
    description: Manage Kerberos Config
  - name: keyset
    description: Manage keysets
  - name: ldap
    description: Manage LDAP Configuration
  - name: license
    description: Manage Composer License
  - name: locale, currency, language
    description: Locale, currency, and language info
  - name: materialized-view
    description: (deprecated since 23.1) Manage Materialized Views
  - name: odata
    description: (experimental) Source Data Retrieval OData service
  - name: password-reset
    description: Self-service forgot-password flow
  - name: permissions
    description: Manage Permissions
  - name: Publish
    description: Publish Workspace Artifacts
  - name: quota
    description: Manage Quotas
  - name: recentlyAccessed
    description: Recently Accessed Elements
  - name: register
    description: User registration
  - name: saml
    description: Manage SAML
  - name: security
    description: Retrieve all sids info
  - name: self-service-reports
    description: Self Service Reports
  - name: sharing
    description: (experimental) Manage dashboard sharing
  - name: snapshots
    description: Create and manage entity snapshots
  - name: snippets
    description: (experimental) Manage snippets
  - name: sources
    description: Manage Sources
  - name: sources / cache-settings
    description: Manages sources cache settings
  - name: sources / custom-metrics
    description: Manage Source Custom Metrics
  - name: sources / dictionaries
    description: Manage Source Dictionaries
  - name: sources / fields
    description: Manage Source Fields
  - name: sources / global-settings
    description: Manages sources global settings
  - name: sources / migration
    description: Source Migration API
  - name: sources / preview and describe
    description: Source preview and describe
  - name: sources / raw data
    description: (experimental) Get source raw data
  - name: sources / security
    description: Manage Sources Security
  - name: sources / security / custom metrics
    description: (experimental) Manage Sources Custom Metric Security
  - name: sources / security / fields
    description: Manage Sources Fields Security
  - name: sources / security / row
    description: Manage Sources Row Security
  - name: sources / unique-key
    description: Manages sources unique key
  - name: sources / visual-types
    description: Manages source visual types
  - name: start-vis
    description: (experimental) Execute start-vis or meta request
  - name: stream
    description: Search stream sources
  - name: tags
    description: Manage tags
  - name: timezones
    description: Timezone Information
  - name: toggle
    description: Toggle Features
  - name: topics
    description: Manage topics
  - name: trusted-access-client
    description: Manage Trusted Access clients
  - name: trusted-access-session
    description: Manage user sessions via Trusted Access
  - name: trusted-access-token
    description: Manage Trusted Access tokens
  - name: uploads
    description: Manage Uploads
  - name: user
    description: Manage User
  - name: users
    description: Manage Users
  - name: users segregation
    description: Segregate users into tenants
  - name: version
    description: System version
  - name: visual-types
    description: Manage Visual Types
  - name: visuals
    description: Manage Visuals
  - name: visuals / migration
    description: New Visuals Migration API
  - name: workspaces
    description: Manage Workspaces
paths:
  /api/alerts/{id}:
    get:
      tags:
        - alerts
      summary: Return an alert by id
      operationId: getAlert
      parameters:
        - name: id
          in: path
          description: Alert identifier
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The alert was returned successfully
          content:
            application/vnd.composer.v3+json:
              schema:
                $ref: '#/components/schemas/AlertResponse'
        '401':
          description: The user must be logged in
          content:
            application/vnd.composer.v3+json:
              schema:
                $ref: '#/components/schemas/ServletErrorMessage'
        '403':
          description: The user doesn't have a privilege to do the operation
          content:
            application/vnd.composer.v3+json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '404':
          description: The alert with the requested id does not exist
          content:
            application/vnd.composer.v3+json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
components:
  schemas:
    AlertResponse:
      type: object
      description: Defines the Alert object
      properties:
        id:
          type: string
          description: Alert id
          example: 99999
        name:
          type: string
          description: Alert name
          example: Alert name
        description:
          type: string
          description: Alert description
          example: Alert description
        enabled:
          type: boolean
          description: Whether the alert is enabled
        referencedSource:
          $ref: '#/components/schemas/SourceViewResponse'
          description: Source used for the alert condition
        dashboards:
          type: array
          description: Dashboards assigned to the alert
          items:
            $ref: '#/components/schemas/DashboardViewResponse'
          uniqueItems: true
        creatingUserName:
          type: string
          description: User who originally created the alert
        createdDate:
          type: string
          format: date-time
          description: When the alert was originally created
        lastModifiedDate:
          type: string
          format: date-time
          description: When the alert was last modified
        schedule:
          $ref: '#/components/schemas/ScheduleResource'
          description: Schedule of the alert's condition checks
        condition:
          $ref: '#/components/schemas/AlertConditionResource'
          description: Alert's condition
        notification:
          description: Alert's notification configuration
          oneOf:
            - $ref: '#/components/schemas/AlertNotificationResource'
            - $ref: '#/components/schemas/AlertEmailNotificationResource'
    ServletErrorMessage:
      type: object
      description: Generic servlet error message
      properties:
        timestamp:
          type: string
          format: date-time
        status:
          type: integer
          format: int32
        error:
          type: string
        message:
          type: string
        path:
          type: string
    ErrorMessage:
      type: object
      description: Generic error message
      properties:
        error:
          type: string
        details:
          type: string
        message:
          type: string
        path:
          type: string
        status:
          type: string
        code:
          type: string
        errorCode:
          type: string
        timestamp:
          type: string
        problems:
          type: array
          items:
            $ref: '#/components/schemas/ProblemResource'
    SourceViewResponse:
      type: object
      properties:
        id:
          type: string
          description: Source id
          example: '00000'
        name:
          type: string
          description: Source name
          example: Company Sales
    DashboardViewResponse:
      type: object
      properties:
        id:
          type: string
          description: Dashboard id
          example: '00000'
        name:
          type: string
          description: >-
            Dashboard name. Absent, if user doesn't have permission on a
            dashboard.
          example: Total Sales Dashboard
    ScheduleResource:
      type: object
      properties:
        frequency:
          type: string
          enum:
            - ONCE
            - HOURLY
            - DAILY
            - WEEKLY
            - MONTHLY
            - CRON
            - DAYS
            - PERIODICALLY
        minutesOfHour:
          type: integer
          format: int32
          example: 15
        dayOfMonth:
          type: integer
          format: int32
          example: 1
        dayOfWeek:
          type: string
          enum:
            - MONDAY
            - TUESDAY
            - WEDNESDAY
            - THURSDAY
            - FRIDAY
            - SATURDAY
            - SUNDAY
        daysOfWeek:
          type: array
          items:
            type: string
            enum:
              - MONDAY
              - TUESDAY
              - WEDNESDAY
              - THURSDAY
              - FRIDAY
              - SATURDAY
              - SUNDAY
          uniqueItems: true
        monthsOfYear:
          type: array
          description: >-
            Array of months, use this for running schedule annually/quarterly
            etc
          example: '[JANUARY] or [MAY, DECEMBER]'
          items:
            type: string
            enum:
              - JANUARY
              - FEBRUARY
              - MARCH
              - APRIL
              - MAY
              - JUNE
              - JULY
              - AUGUST
              - SEPTEMBER
              - OCTOBER
              - NOVEMBER
              - DECEMBER
          uniqueItems: true
        timeOfDay:
          type: string
          example: '17:30:00'
        startTimeOfDay:
          type: string
          example: '16:00:00'
        endTimeOfDay:
          type: string
          example: '18:00:00'
        startDate:
          type: string
          format: date
        endDate:
          type: string
          format: date
        timezone:
          type: string
          description: >-
            IANA timezone ID for scheduling (e.g., 'America/New_York'). Defaults
            to UTC if not provided.
          example: America/New_York
    AlertConditionResource:
      type: object
      properties:
        sourceId:
          type: string
          description: Id of the source used for condition definition
          maxLength: 64
          minLength: 0
        dataQuery:
          description: >-
            The query that defines the condition (raw data query or simple
            aggregated query)
          oneOf:
            - $ref: '#/components/schemas/RawVisQuery'
            - $ref: '#/components/schemas/AggregateVisQuery'
        activateAlertWhenData:
          type: string
          description: >-
            Defines whether the alert should be activated when the dataQuery
            produces some data (EXISTS) or produces no data (NOT_EXISTS)
          enum:
            - EXISTS
            - NOT_EXISTS
        timeFilter:
          $ref: '#/components/schemas/TimeConfiguration'
          description: >-
            Defines the time filter for the condition evaluation query. Supports
            dynamic time patterns. Required if the LAST_VALUE metric is used
            within the alert condition.
      required:
        - activateAlertWhenData
        - dataQuery
        - sourceId
    AlertNotificationResource:
      type: object
      discriminator:
        propertyName: notificationType
      properties:
        notificationType:
          type: string
          enum:
            - EMAIL
            - WEBHOOK
    AlertEmailNotificationResource:
      allOf:
        - $ref: '#/components/schemas/AlertNotificationResource'
        - type: object
          properties:
            subject:
              type: string
              description: Email subject
              maxLength: 255
              minLength: 0
            body:
              type: string
              description: Email body
              maxLength: 20000
              minLength: 0
            recipients:
              $ref: '#/components/schemas/AlertRecipientsResource'
              description: Email recipients
            redirectUrl:
              type: string
              description: DashboardLink redirectUrl
      required:
        - recipients
        - subject
    ProblemResource:
      type: object
      properties:
        name:
          type: string
        message:
          type: string
        level:
          type: string
          enum:
            - ERROR
            - WARNING
        dependencies:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/ObjectUsageResource'
    RawVisQuery:
      allOf:
        - $ref: '#/components/schemas/VisQuery'
        - type: object
          properties:
            queryDerivedFields:
              type: array
              items:
                $ref: '#/components/schemas/ExpressionField'
            filters:
              type: array
              items:
                $ref: '#/components/schemas/RawFilter'
            fields:
              type: array
              items:
                oneOf:
                  - $ref: '#/components/schemas/ExpressionField'
                  - $ref: '#/components/schemas/SimpleField'
            distinct:
              type: boolean
            sorts:
              type: array
              items:
                $ref: '#/components/schemas/FieldSort'
            offset:
              type: integer
              format: int32
            limit:
              type: integer
              format: int32
            excludeNulls:
              type: boolean
            postProcessingRawExpressions:
              type: array
              items:
                $ref: '#/components/schemas/PostProcessingRawExpression'
            referencedQueryCid:
              type: string
            referenceType:
              type: string
              enum:
                - RAW_DATA_AGGREGATION
                - SUB_QUERY
                - REFERENCING_FOR_FILTERS
    AggregateVisQuery:
      allOf:
        - $ref: '#/components/schemas/VisQuery'
        - type: object
          properties:
            queryDerivedFields:
              type: array
              items:
                $ref: '#/components/schemas/ExpressionField'
            filters:
              type: array
              items:
                $ref: '#/components/schemas/RawFilter'
            dimensions:
              type: array
              items:
                $ref: '#/components/schemas/Dimension'
            metrics:
              type: array
              items:
                oneOf:
                  - $ref: '#/components/schemas/CalculationMetric'
                  - $ref: '#/components/schemas/CountMetric'
                  - $ref: '#/components/schemas/FieldMetric'
            aggregateFilters:
              type: array
              items:
                $ref: '#/components/schemas/AggregateFilter'
            dimensionsProperties:
              $ref: '#/components/schemas/DimensionsProperties'
            postProcessingAggExpressions:
              type: array
              items:
                $ref: '#/components/schemas/PostProcessingAggExpression'
            sharpening:
              $ref: '#/components/schemas/SharpeningConfiguration'
    TimeConfiguration:
      type: object
      properties:
        timeField:
          type: string
        from:
          type: string
        to:
          type: string
    AlertRecipientsResource:
      type: object
      properties:
        users:
          type: array
          description: List of recipients
          items:
            $ref: '#/components/schemas/UserViewResource'
          uniqueItems: true
    ObjectUsageResource:
      type: object
      properties:
        hasOtherUsages:
          type: boolean
        accessible:
          type: array
          items:
            $ref: '#/components/schemas/AccessibleObjectUsageResource'
    VisQuery:
      type: object
      discriminator:
        propertyName: queryType
      properties:
        queryType:
          type: string
          enum:
            - RAW
            - AGGREGATE
            - SUBTOTALS
            - EXISTENCE
        cid:
          type: string
        excludeResults:
          type: boolean
    ExpressionField:
      allOf:
        - $ref: '#/components/schemas/Field'
        - type: object
          properties:
            name:
              type: string
              writeOnly: true
            expression:
              type: string
            resultType:
              type: string
              enum:
                - ATTRIBUTE
                - NUMBER
                - TIME
                - CHRONO_DATETIME
    RawFilter:
      type: object
      properties:
        path:
          $ref: '#/components/schemas/FieldName'
        operation:
          type: string
          enum:
            - EQUALS
            - EQUALSI
            - NOTEQUALS
            - LT
            - LE
            - GT
            - GE
            - IN
            - NOTIN
            - BETWEEN
            - ISNOTNULL
            - ISNULL
            - AND
            - OR
            - TEXT_SEARCH
            - INKEYSET
            - NOTINKEYSET
            - NOT
            - STARTSWITH_CS
            - STARTSWITH_CI
            - STARTSWITH_DS
            - ENDSWITH_CS
            - ENDSWITH_CI
            - ENDSWITH_DS
            - CONTAINS_CS
            - CONTAINS_CI
            - CONTAINS_DS
            - EQUALS_OR_DESCENDANT_OF
        value: {}
    SimpleField:
      type: object
      properties:
        field:
          $ref: '#/components/schemas/FieldName'
        type:
          type: string
          enum:
            - FIELD
            - EXPRESSION
    FieldSort:
      type: object
      properties:
        field:
          $ref: '#/components/schemas/SimpleField'
        direction:
          type: string
          enum:
            - ASC
            - DESC
    PostProcessingRawExpression:
      type: object
      properties:
        name:
          type: string
        expression:
          $ref: '#/components/schemas/RawFilter'
    Dimension:
      type: object
      properties:
        aggregations:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/HierarchyAggregation'
              - $ref: '#/components/schemas/HistogramAggregation'
              - $ref: '#/components/schemas/TermsAggregation'
              - $ref: '#/components/schemas/TimeAggregation'
              - $ref: '#/components/schemas/HistogramByCountAggregation'
              - $ref: '#/components/schemas/HistogramBySizeAggregation'
        window:
          oneOf:
            - $ref: '#/components/schemas/CompositeDimensionWindow'
            - $ref: '#/components/schemas/SimpleDimensionWindow'
    CalculationMetric:
      allOf:
        - $ref: '#/components/schemas/Metric'
        - type: object
          properties:
            formulaName:
              type: string
            formula:
              type: string
    CountMetric:
      allOf:
        - $ref: '#/components/schemas/Metric'
    FieldMetric:
      allOf:
        - $ref: '#/components/schemas/Metric'
        - type: object
          properties:
            field:
              $ref: '#/components/schemas/FieldName'
            function:
              type: string
              enum:
                - avg
                - min
                - max
                - sum
                - stddev_pop
                - stddev_samp
                - var_pop
                - var_samp
                - distinct_count
                - last_value
                - first_value
                - count
                - calc
                - percentile
                - median
                - listagg
    AggregateFilter:
      type: object
      properties:
        metric:
          oneOf:
            - $ref: '#/components/schemas/CalculationMetric'
            - $ref: '#/components/schemas/CountMetric'
            - $ref: '#/components/schemas/FieldMetric'
        aggregation:
          oneOf:
            - $ref: '#/components/schemas/HierarchyAggregation'
            - $ref: '#/components/schemas/HistogramAggregation'
            - $ref: '#/components/schemas/TermsAggregation'
            - $ref: '#/components/schemas/TimeAggregation'
            - $ref: '#/components/schemas/HistogramByCountAggregation'
            - $ref: '#/components/schemas/HistogramBySizeAggregation'
        operation:
          type: string
          enum:
            - EQUALS
            - EQUALSI
            - NOTEQUALS
            - LT
            - LE
            - GT
            - GE
            - IN
            - NOTIN
            - BETWEEN
            - ISNOTNULL
            - ISNULL
            - AND
            - OR
            - TEXT_SEARCH
            - INKEYSET
            - NOTINKEYSET
            - NOT
            - STARTSWITH_CS
            - STARTSWITH_CI
            - STARTSWITH_DS
            - ENDSWITH_CS
            - ENDSWITH_CI
            - ENDSWITH_DS
            - CONTAINS_CS
            - CONTAINS_CI
            - CONTAINS_DS
            - EQUALS_OR_DESCENDANT_OF
        value: {}
    DimensionsProperties:
      type: object
      properties:
        showGrandTotals:
          type: boolean
        cellLimit:
          type: integer
          format: int32
        columnLimit:
          type: integer
          format: int32
    PostProcessingAggExpression:
      type: object
      properties:
        name:
          type: string
        expression:
          $ref: '#/components/schemas/AggregateFilter'
        applyFor:
          type: array
          items:
            type: string
            enum:
              - VALUES
              - ROW_TOTALS
              - COLUMN_TOTALS
              - GRAND_TOTALS
    SharpeningConfiguration:
      type: object
      properties:
        prefer:
          type: boolean
        maxQueries:
          type: integer
          format: int32
    UserViewResource:
      type: object
      properties:
        id:
          type: string
          description: User id
          example: 11111
          maxLength: 64
          minLength: 0
        name:
          type: string
          description: User name
          example: john_doe
      required:
        - id
    AccessibleObjectUsageResource:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        type:
          type: string
          enum:
            - SOURCE
            - MATERIALIZED_VIEW
            - KEY_SET
            - VISUAL
            - DASHBOARD
            - IN_DASHBOARD_VISUAL
            - SNIPPET
            - REPORT
            - FILTER_SET
            - DERIVED_FIELD
            - CUSTOM_METRIC
            - FIELD_LINK
            - ROW_SECURITY_FILTER
            - ACTION
            - SOURCE_JOIN
            - HIERARCHY
            - PARTITION
            - GLOBAL_FILTER
            - UNIQUE_KEY
            - TIME_CONTROL
        parent:
          $ref: '#/components/schemas/AccessibleObjectUsageResource'
    Field:
      type: object
      discriminator:
        propertyName: type
      properties:
        type:
          type: string
          enum:
            - FIELD
            - EXPRESSION
    FieldName:
      type: object
      properties:
        name:
          type: string
    HierarchyAggregation:
      allOf:
        - $ref: '#/components/schemas/Aggregation'
    HistogramAggregation:
      allOf:
        - $ref: '#/components/schemas/Aggregation'
        - type: object
          properties:
            histogramType:
              type: string
              enum:
                - AUTO
                - SIZE
                - COUNT
            start:
              type: number
              format: double
            end:
              type: number
              format: double
      discriminator:
        propertyName: histogramType
    TermsAggregation:
      allOf:
        - $ref: '#/components/schemas/Aggregation'
    TimeAggregation:
      allOf:
        - $ref: '#/components/schemas/Aggregation'
        - type: object
          properties:
            granularity:
              type: string
              enum:
                - MILLISECOND
                - SECOND
                - MINUTE
                - HOUR
                - DAY
                - WEEK
                - MONTH
                - QUARTER
                - YEAR
            includeBlanks:
              type: boolean
    HistogramByCountAggregation:
      allOf:
        - $ref: '#/components/schemas/HistogramAggregation'
        - type: object
          properties:
            count:
              type: integer
              format: int32
    HistogramBySizeAggregation:
      allOf:
        - $ref: '#/components/schemas/HistogramAggregation'
        - type: object
          properties:
            size:
              type: number
              format: double
    CompositeDimensionWindow:
      allOf:
        - $ref: '#/components/schemas/DimensionWindow'
        - type: object
          properties:
            aggregationWindows:
              type: array
              items:
                $ref: '#/components/schemas/AggregationWindow'
    SimpleDimensionWindow:
      allOf:
        - $ref: '#/components/schemas/DimensionWindow'
        - type: object
          properties:
            sort:
              oneOf:
                - $ref: '#/components/schemas/AlphabeticalDimensionSort'
                - $ref: '#/components/schemas/MetricDimensionSort'
            offset:
              type: integer
              format: int32
            limit:
              type: integer
              format: int32
            showTotals:
              type: boolean
    Metric:
      type: object
      discriminator:
        propertyName: type
      properties:
        type:
          type: string
          enum:
            - COUNT
            - FIELD
            - CALCULATION
        rollup:
          type: boolean
    Aggregation:
      type: object
      discriminator:
        propertyName: type
      properties:
        type:
          type: string
          enum:
            - TERMS
            - TIME
            - HISTOGRAM
            - HIERARCHY
        field:
          $ref: '#/components/schemas/FieldName'
    DimensionWindow:
      type: object
      discriminator:
        propertyName: type
      properties:
        type:
          type: string
          enum:
            - SIMPLE
            - COMPOSITE
    AggregationWindow:
      type: object
      properties:
        sort:
          oneOf:
            - $ref: '#/components/schemas/AlphabeticalAggregationSort'
            - $ref: '#/components/schemas/MetricAggregationSort'
          writeOnly: true
        sorts:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/AlphabeticalAggregationSort'
              - $ref: '#/components/schemas/MetricAggregationSort'
        offset:
          type: integer
          format: int32
        limit:
          type: integer
          format: int32
        includeOtherGroup:
          type: boolean
    AlphabeticalDimensionSort:
      allOf:
        - $ref: '#/components/schemas/DimensionSort'
        - type: object
          properties:
            aggregationSorts:
              type: array
              items:
                $ref: '#/components/schemas/AggregationDimensionSort'
    MetricDimensionSort:
      allOf:
        - $ref: '#/components/schemas/DimensionSort'
        - type: object
          properties:
            metric:
              oneOf:
                - $ref: '#/components/schemas/CalculationMetric'
                - $ref: '#/components/schemas/CountMetric'
                - $ref: '#/components/schemas/FieldMetric'
            groups:
              type: array
              items:
                $ref: '#/components/schemas/Group'
            direction:
              type: string
              enum:
                - ASC
                - DESC
    AlphabeticalAggregationSort:
      allOf:
        - $ref: '#/components/schemas/AggregationSort'
        - type: object
          properties:
            aggregation:
              oneOf:
                - $ref: '#/components/schemas/HierarchyAggregation'
                - $ref: '#/components/schemas/HistogramAggregation'
                - $ref: '#/components/schemas/TermsAggregation'
                - $ref: '#/components/schemas/TimeAggregation'
                - $ref: '#/components/schemas/HistogramByCountAggregation'
                - $ref: '#/components/schemas/HistogramBySizeAggregation'
    MetricAggregationSort:
      allOf:
        - $ref: '#/components/schemas/AggregationSort'
        - type: object
          properties:
            metric:
              oneOf:
                - $ref: '#/components/schemas/CalculationMetric'
                - $ref: '#/components/schemas/CountMetric'
                - $ref: '#/components/schemas/FieldMetric'
    DimensionSort:
      type: object
      discriminator:
        propertyName: type
      properties:
        type:
          type: string
          enum:
            - ALPHABETICAL
            - METRIC
    AggregationDimensionSort:
      type: object
      properties:
        aggregation:
          oneOf:
            - $ref: '#/components/schemas/HierarchyAggregation'
            - $ref: '#/components/schemas/HistogramAggregation'
            - $ref: '#/components/schemas/TermsAggregation'
            - $ref: '#/components/schemas/TimeAggregation'
            - $ref: '#/components/schemas/HistogramByCountAggregation'
            - $ref: '#/components/schemas/HistogramBySizeAggregation'
        direction:
          type: string
          enum:
            - ASC
            - DESC
    Group:
      type: object
      properties:
        aggregation:
          oneOf:
            - $ref: '#/components/schemas/HierarchyAggregation'
            - $ref: '#/components/schemas/HistogramAggregation'
            - $ref: '#/components/schemas/TermsAggregation'
            - $ref: '#/components/schemas/TimeAggregation'
            - $ref: '#/components/schemas/HistogramByCountAggregation'
            - $ref: '#/components/schemas/HistogramBySizeAggregation'
        value: {}
    AggregationSort:
      type: object
      discriminator:
        propertyName: type
      properties:
        direction:
          type: string
          enum:
            - ASC
            - DESC
        type:
          type: string
      required:
        - type
  securitySchemes:
    basicAuth:
      type: http
      description: >-
        HTTP Basic authentication using global administrator credentials
        (username and password).
      scheme: basic

````